Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface Expandable

All Known Implementing Classes:
  BalloonHelp, CalculatorField, ComboBox, DateField, DropDown, ExpandableSection, PopUp, TitleBar

    public interface Expandable

An `Expandable` can be expanded/contracted and tracks this change with an `ExpansionModel`.

Field Summary
`static java.lang.String` | `EXPANDED_CHANGED_PROPERTY` can be fired when the expnasion model changes
`static java.lang.String` | `PROPERTY_EXPANSION_GROUP`
`static java.lang.String` | `PROPERTY_EXPANSION_MODEL`

Method Summary
`ExpansionGroup` | `getExpansionGroup()`
`ExpansionModel` | `getExpansionModel()`
`boolean` | `isExpanded()`
`void` | `setExpanded(boolean isExpanded)` Sets whether the `Expandable` is expanded or not
`void` | `setExpansionGroup(ExpansionGroup newExpansionGroup)` Sets the `ExpansionGroup` used by the `Expandable`.
`void` | `setExpansionModel(ExpansionModel newExpansionModel)` Sets the `ExpansionModel` model used by the `Expandable`.

Field Detail

### EXPANDED_CHANGED_PROPERTY

    static final java.lang.String EXPANDED_CHANGED_PROPERTY

  can be fired when the expnasion model changes

  See Also:
    Constant Field Values

### PROPERTY_EXPANSION_MODEL

    static final java.lang.String PROPERTY_EXPANSION_MODEL

See Also:
  Constant Field Values

### PROPERTY_EXPANSION_GROUP

    static final java.lang.String PROPERTY_EXPANSION_GROUP

See Also:
  Constant Field Values

Method Detail

### getExpansionModel

    ExpansionModel getExpansionModel()

  Returns:
    the `ExpansionModel` model of the `Expandable`.

### getExpansionGroup

    ExpansionGroup getExpansionGroup()

  Returns:
    the `ExpansionGroup` of the `Expandable`.

### isExpanded

    boolean isExpanded()

  Returns:
    whether `Expandable` is expanded or not

### setExpanded

    void setExpanded(boolean isExpanded)

  Sets whether the `Expandable` is expanded or not

### setExpansionModel

    void setExpansionModel(ExpansionModel newExpansionModel)

  Sets the `ExpansionModel` model used by the `Expandable`.

### setExpansionGroup

    void setExpansionGroup(ExpansionGroup newExpansionGroup)

  Sets the `ExpansionGroup` used by the `Expandable`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD